slepc-3.10.1 2018-10-23
Report Typos and Errors

# EPSSolve

Solves the eigensystem.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSolve(EPS eps)

Collective on EPS

### Input Parameter

| eps | - eigensolver context obtained from EPSCreate()

### Options Database Keys

| -eps_view | - print information about the solver used
| -eps_view_mat0 binary | - save the first matrix (A) to the default binary viewer
| -eps_view_mat1 binary | - save the second matrix (B) to the default binary viewer
| -eps_view_vectors binary | - save the computed eigenvectors to the default binary viewer
| -eps_view_values | - print computed eigenvalues
| -eps_converged_reason | - print reason for convergence, and number of iterations
| -eps_error_absolute | - print absolute errors of each eigenpair
| -eps_error_relative | - print relative errors of each eigenpair
| -eps_error_backward | - print backward errors of each eigenpair

### See Also

EPSCreate(), EPSSetUp(), EPSDestroy(), EPSSetTolerances()

Location: src/eps/interface/epssolve.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/eps/examples/tutorials/ex1.c.html
src/eps/examples/tutorials/ex2.c.html
src/eps/examples/tutorials/ex3.c.html
src/eps/examples/tutorials/ex4.c.html
src/eps/examples/tutorials/ex5.c.html
src/eps/examples/tutorials/ex7.c.html
src/eps/examples/tutorials/ex9.c.html
src/eps/examples/tutorials/ex10.c.html
src/eps/examples/tutorials/ex11.c.html
src/eps/examples/tutorials/ex12.c.html
src/eps/examples/tutorials/ex13.c.html